%global srcname invocations
%global sum Invocations is a collection of reusable Invoke tasks/task modules

Name:           python-%{srcname}
Version:        0.13.0
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/pyinvoke/%{srcname}
Source0:        https://github.com/pyinvoke/%{srcname}/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
Invocations is a collection of reusable Invoke tasks/task modules, including
(but not limited to) Python project management tools such as documentation
building and dependency organization. It has no stand-alone components and is
designed to be imported into your pre-existing Invoke task files.


%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       python-invoke
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Invocations is a collection of reusable Invoke tasks/task modules, including
(but not limited to) Python project management tools such as documentation
building and dependency organization. It has no stand-alone components and is
designed to be imported into your pre-existing Invoke task files.


%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-invoke
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Invocations is a collection of reusable Invoke tasks/task modules, including
(but not limited to) Python project management tools such as documentation
building and dependency organization. It has no stand-alone components and is
designed to be imported into your pre-existing Invoke task files.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


# Upstream currently does not provide unit tests so there is no check


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 22 2016 Jeremy Cline <jeremy@jcline.org> - 0.13.0-1
- Initial package
